Package com.stardog.stark.io

# Class InvalidRDF

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
com.stardog.stark.io.InvalidRDF

All Implemented Interfaces:
  `Serializable`

public class InvalidRDF extends RuntimeException

Exception thrown when `parsing` an RDF file and the contents are not syntactically valid RDF.

Since:
  1.0
Version:
  1.0
Author:
  Michael Grove
See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final long`
  `UNKNOWN_POSITION`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InvalidRDF(String theMessage)`
  `InvalidRDF(String theMessage, long theLineNumber, long theColumnNumber)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long`
  `columnNumber()`
  Return the column where the parse error occurred
  `long`
  `lineNumber()`
  Return the line where the parse error occurred

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### UNKNOWN_POSITION

    public static final long UNKNOWN_POSITION
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### InvalidRDF

    public InvalidRDF(String theMessage)

  - ### InvalidRDF

    public InvalidRDF(String theMessage, long theLineNumber, long theColumnNumber)

- ## Method Details

  - ### lineNumber

    public long lineNumber()
    Return the line where the parse error occurred
    Returns:
      the line number or `UNKNOWN_POSITION` if not specified

  - ### columnNumber

    public long columnNumber()
    Return the column where the parse error occurred
    Returns:
      the column number or `UNKNOWN_POSITION` if not specified